function _defineProperty(obj, key, value) {if (key in obj) {Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });} else {obj[key] = value;}return obj;}class SearchExample extends React.Component {constructor(...args) {super(...args);_defineProperty(this, "state",





    { searchString: '' });_defineProperty(this, "handleChange",
    e => {
      this.setState({ searchString: e.target.value });
    });}
  render() {
    var libraries = this.props.items,
    searchString = this.state.searchString.trim().toLowerCase();
    if (searchString.length > 0) {
      libraries = libraries.filter(function (i) {
        return i.name.toLowerCase().match(searchString);
      });
    }
    return /*#__PURE__*/(
      React.createElement("div", null, /*#__PURE__*/
      React.createElement("input", { type: "text", value: this.state.searchString, onChange: this.handleChange, placeholder: "输入关键词..." }), /*#__PURE__*/
      React.createElement("ul", null,
      libraries.map(function (i) {
        return /*#__PURE__*/React.createElement("li", null, i.name, " ", /*#__PURE__*/React.createElement("a", { href: i.url }, i.url));
      }))));



  }}


// Constant, library
var libraries = [

{ name: 'Backbone.js', url: 'https://documentcloud.github.io/backbone/' },
{ name: 'AngularJS', url: 'https://angularjs.org/' },
{ name: 'jQuery', url: 'https://jquery.com/' },
{ name: 'Prototype', url: 'http://www.prototypejs.org/' },
{ name: 'React', url: 'https://facebook.github.io/react/' },
{ name: 'Ember', url: 'http://emberjs.com/' },
{ name: 'Knockout.js', url: 'https://knockoutjs.com/' },
{ name: 'Dojo', url: 'http://dojotoolkit.org/' },
{ name: 'Mootools', url: 'http://mootools.net/' },
{ name: 'Underscore', url: 'https://documentcloud.github.io/underscore/' },
{ name: 'Lodash', url: 'http://lodash.com/' },
{ name: 'Moment', url: 'https://momentjs.com/' },
{ name: 'Express', url: 'http://expressjs.com/' },
{ name: 'Koa', url: 'http://koajs.com/' }];



// put input and display on page
React.render( /*#__PURE__*/
React.createElement(SearchExample, { items: libraries }),
document.getElementById('content'));